Package picard.sam.SamErrorMetric

## Class BaseErrorCalculator

- java.lang.Object
- - picard.sam.SamErrorMetric.BaseErrorCalculator

- All Implemented Interfaces:
    `BaseCalculator`
  Direct Known Subclasses:
    `OverlappingReadsErrorCalculator`, `SimpleErrorCalculator`

      public abstract class BaseErrorCalculator
      extends Object
      implements BaseCalculator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseErrorCalculator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBase​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)` | the function by which new loci are "shown" to the calculator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.sam.SamErrorMetric.BaseCalculator

      `getMetric, getSuffix`

- - ### Constructor Detail

    - #### BaseErrorCalculator

          public BaseErrorCalculator()

  - ### Method Detail

    - #### addBase

          public void addBase​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset,
                              htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)

      the function by which new loci are "shown" to the calculator
      Specified by:
        `addBase` in interface `BaseCalculator`